Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18795

Description

New description:

In the new identify panel, in the "table" tab, the values seems are editable as the user can double click on attributes/column names and

apparently change them. Any change is (obviously?) discarded, but if this is not intended for editing then is confusing.

------------

Old description:

Hi,

I'm not sure if this might be reported as bug or not but I think that the lack of this function deprives a lot of sense of the interface (unless I

understood what was proposed).

Indeed, in the new Identify results panel, when you click on features with the Identify Tool, there is a tab table that lists all the attributes of

identified features. In Editing mode, You can change the values of attributes of these features directly in the tab table.

But these changes are not taken into account when you save your edits or when you click on another feature and then click on the

modified one. Isn't that a bug? Or this tab table is not intended for editing?

In case this tab table is intended for editing, when you have more than one feature in your results list, how can you know which one you

are editing?

Higlighting somehow the feature in the canvas when you select one of its row in the table might be another improvement.

Associated revisions

Revision 4ff233e3 - 2014-06-09 12:26 PM - Jürgen Fischer

identify results: hide highlights on deactivation and hide table/plot tab meant

for rasters when there are only vector features (fixes #10376)

History

#1 - 2014-05-28 11:29 AM - Giovanni Manghi

- Status changed from Open to Feedback

If I have understand well the issue I can't replicate. Can you please explain again with a precise sequence of steps? Thanks.

#2 - 2014-05-28 11:31 AM - Giovanni Manghi

forget, now I see what you mean.
#3 - 2014-05-28 11:33 AM - Giovanni Manghi

- Priority changed from High to Severe/Regression

I don't think that the table in that tab is supposed to allow edit the attributes, so I guess that the fact that the user can apparently change the values (and

column names) is a bug.

#4 - 2014-05-28 11:37 AM - Giovanni Manghi

- Subject changed from New Identify Results panel: Editing features in table tab is not saved to New Identify Results panel: values in the "table" tab 

should not "editable"(?)

#5 - 2014-05-28 02:22 PM - Etienne Tourigny

- Assignee set to Etienne Tourigny

I understand the problem now. I will set the table (or its items) as read-only.

#6 - 2014-05-29 12:45 AM - Harrissou Santanna

Hello,

Etienne Tourigny wrote:

I understand the problem now. I will set the table (or its items) as read-only.

Sorry Etienne if i'm not always clear in my reporting. I'm newby, not used to communicate in english and don't always know how i should describe the best

the issues. But I see the changes that Giovanni brings to my posts and hope i'll improve.

As  there is not yet documentation, what is the purpose of this "table" tab? Just show rows for each attributes of each features identified in layer(s)? Will it

be used (to do what)?

I liked the idea of editing attributes (only, of course) there because it gives the possibility to edit many features (or attributes) without having to open the form

for each one (like you have to do in "tree" tab).

Whatever, it may be useful to have the ability to sort colums in "table" tree (even if i not yet know what it is designed for).

#7 - 2014-05-29 05:53 AM - Etienne Tourigny

I actually used the table view to support rasters, and decided to add vectors also.

It was included last week and hasn't been reviewed by many people so far. Its usefulness (from my point of view) is to show values in a more concise view.

It was never intended as an editor, you should use the attribute table for that.

Yes it would be nice to sort by column, I'll see if I can change that (and also read-only). As for editing that should be a feature request.

Hope I was clear , and any suggestions are of course welcome.

#8 - 2014-05-29 05:56 AM - Nathan Woodrow

2025-04-27 2/4



I'm wondering if it makes to show it for vector results.  I don't find it much use there in fact it's a bit overloaded for that kind of thing I think.

#9 - 2014-05-29 07:08 AM - Etienne Tourigny

Nathan - I was thinking about this also. Should they be disabled entirely or have an option somewhere?

Also, what do you think about using a combobox + widget stack instead of tab widget (e.g. View: Normal/Raster Table/Raster Graph)

#10 - 2014-05-29 07:09 AM - Etienne Tourigny

- % Done changed from 0 to 90

fixed the main issue in changeset commit:3e10000105476761fcabb9d9a9f904d280d613e9.

Table is read-only, but sorting is still disabled.

If you want sorting and editing (not useful here IMHO) please file an enhancement ticket.

Leaving open for now until discussion is closed.

#11 - 2014-06-02 03:28 AM - Harrissou Santanna

Hi,

thanks for the feedback, Etienne.

I'm ok with using attribute table to edit data, even if i think i'll open a feature request for editing (and sorting) through this interface because i found it useful

(a mix between attribute table and form).

Considering the option we keep now, IMHO, should be disabled for vector layers:

- the  "Graph" tab because its content is always empty,

- the "Table" tab because i still don't find the way it can help me (except those i asked for above) and when I select more than one feature, it is not really

easy to read.

#12 - 2014-06-02 03:33 AM - Nathan Woodrow

Etienne are you able to hide the graph and table tabs if there is only vector results ( could we make this into combo I think that would work even better)

before the 2.4 release?  After that we can tweak this a bit more. Personally I think the table and graph are only good for raster so I would hide them from

vector for now until we can play with it more.

#13 - 2014-06-09 03:26 AM - Jürgen Fischer

- Status changed from Feedback to Closed

Fixed in changeset commit:"4ff233e368555adecc66f79f25431cede1f68a8d".

#14 - 2014-06-09 01:22 PM - Etienne Tourigny

sorry I only saw this today. I'll test Jurgen's implementation, it may take a bit since I just updated to latest Linux Mint.
#15 - 2014-06-09 03:19 PM - Etienne Tourigny

looks ok with me, the only gripe is that it goes back to "Tree" tab on each identify result. I'll try to fix this.

#16 - 2014-06-10 07:57 AM - Etienne Tourigny

I just fixed this little bug.

Ideally it should be a combo box (as Nathan suggests) instead of a tree tab, with suitable defaults depending on if there are any rasters. If I have the time

for this during the week I'll try.

Just a question Nathan: would you not make the table view available if there are no rasters, or just switch to tree view and be able to switch to table view in

the combo box?

#17 - 2014-06-13 02:12 PM - Etienne Tourigny

changed tabbed widget to stacked widget and a combobox, also added tooltips for identify and view modes , in changeset

cc1f24e78a961c7fa003d0957f4ab8adf9711f37
